tpm2_eventlog(1)

NAME
tpm2_eventlog(1) - Display tpm2 event log.

SYNOPSIS
tpm2_eventlog [ARGUMENT]

DESCRIPTION
tpm2_eventlog(1) - Parse a binary TPM2 event log. The event log may be passed to the tool as the final positional parameter. If this parameter is omitted the tool will return an error. The format of this log documented in the “TCG PC Client Platform Firmware Profile Specification”.

OPTIONS

•   --eventlog-version=NATURAL_NUMBER:

    Specifies the yaml version of parsed event log. Currently version 1 and 2 are supported. The default is 1.

•   ARGUMENT The command line argument is the path to a binary TPM2 eventlog.

  References

COMMON OPTIONS
This collection of options are common to many programs and provide information that many users may expect.

•   -h, --help=[man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

•   -V, --verbose: Increase the information that the tool prints to the console during its execution. When using this option the file and line number are printed.

•   -Q, --quiet: Silence normal tool output to stdout.

•   -Z, --enable-errata: Enable the application of errata fixups. Useful if an errata fixup needs to be applied to commands sent to the TPM. Defining the environment TPM2TOOLS_ENABLE_ERRATA is equivalent.

•   -R, --autoflush: Enable autoflush for transient objects created by the command. If a parent object is loaded from a context file also the transient parent object will be flushed. Autoflush can also be activated if the environment variable TPM2TOOLS_AUTOFLUSH is is set to yes or true. information many users may expect.

EXAMPLES

        # display eventlog from provided file
        tpm2_eventlog eventlog.bin

Returns
Tools can return any of the following codes:

•   0 - Success.

•   1 - General non-specific error.

•   2 - Options handling error.

•   3 - Authentication error.

•   4 - TCTI related error.

•   5 - Non supported scheme. Applicable to tpm2_testparams.

BUGS
Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP
See the Mailing List (https://lists.linuxfoundation.org/mailman/listinfo/tpm2)